package main

/*
	this parses the command line arguements
	this enables command line options from other packages like 'gui' and 'log'
*/

import (
	"go.wit.com/dev/alexflint/arg"
)

var argv args

type args struct {
	Daemon bool `arg:"--daemon"           default:"false"  help:"run in daemon mode"`
	Port   int  `arg:"--port"             default:"2521"   help:"port to run on"`
}

func (args) Version() string {
	return "zood " + VERSION + "   Built on: " + BUILDTIME
}

func init() {
	arg.MustParse(&argv)
}

func (a args) Description() string {
	return `
         this daemon talks to zookeeper
`
}
